AOZ Studio Beta - Bug #664

Close N ' Locks up AOZ if the file N is not already open. It should instead report the "File not
opened."” error.

02/15/2021 12:10 AM - Brian Flanagan

Status: Closed Start date: 02/14/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour

Target version:
Affected version: 1.0.0 (B3)

Description

History

#1 - 02/15/2021 12:18 AM - Brian Flanagan
- File File_Not_Opened.png added

- Subject changed from Close Editor command transpiles, but locks up AOZ. to Close N ' Locks up AOZ if the file N is not already open. It should
instead report the "File not opened." error.

- Estimated time set to 1:00 h

- Affected version set to 1.0.0 (B3)
Example:

Print "Before Close"
Close 1

Print "After Close"

The above code will lock up AOZ.

Instead, it should report the "File not opened." error.
That error is reported in the console, but displayErrorAlert fails.

#2 - 02/16/2021 12:24 PM - Brian Flanagan

- Status changed from New to Resolved

Re-tested on 2/16/2021. It's working now!

#3 - 07/15/2021 10:52 AM - Brian Flanagan

- Status changed from Resolved to Closed

Files

File_Not_Opened.png 30.8 KB 02/14/2021 Brian Flanagan
